version: '3.8'

services:
  photoprism:
    image: photoprism/photoprism:latest
    restart: unless-stopped
    ports:
      - "2342:2342"
    environment:
      PHOTOPRISM_WEB_DAV: "true"
      PHOTOPRISM_ADMIN_PASSWORD: "marecki"
      PHOTOPRISM_HTTP_HOST: "0.0.0.0"
      PHOTOPRISM_AUTO_INDEX: 1
      PHOTOPRISM_ORIGINALS_LIMIT: 5000
    volumes:
      - type: bind
        source: /srv/dev-disk-by-uuid-bef0a0c3-20f9-4bcf-afb1-5c702bedd426/photos
        target: /photoprism/originals
      - type: bind
        source: /srv/dev-disk-by-uuid-bef0a0c3-20f9-4bcf-afb1-5c702bedd426/photos
        target: /photoprism/import

volumes:
  photoprism-storage:

